Weland Problem!!!!

Questions about the content creation procedure go here, including using Forge, Anvil, or other editors, or operating emulators like Basilisk II.
Post Reply
User avatar
BoBsBrother
Cyborg
Posts: 110
Joined: Aug 12th '10, 03:20
Location: Kearney, Nebraska
Contact:

Hi, I'm running Max OS X 10.5.8, and I can't get Weland working. When I double click on it, it says that I need the mono framework 2.4 or later. The thing is that I installed mono framework 2.6.7 three times!!!! But still the stupid message still appears! Can anyone give me some advice?
User avatar
treellama
Vidmaster
Posts: 6107
Joined: Jun 2nd '06, 02:05
Location: Pittsburgh
Contact:

If you open a terminal, and type

Code: Select all

ls /Library/Frameworks/Mono.framework/Versions/Current
what does it print?
Last edited by treellama on Aug 12th '10, 15:59, edited 1 time in total.
User avatar
BoBsBrother
Cyborg
Posts: 110
Joined: Aug 12th '10, 03:20
Location: Kearney, Nebraska
Contact:

It says that there is no such file or directory.
User avatar
treellama
Vidmaster
Posts: 6107
Joined: Jun 2nd '06, 02:05
Location: Pittsburgh
Contact:

That means you don't have the Mono framework installed.
User avatar
BoBsBrother
Cyborg
Posts: 110
Joined: Aug 12th '10, 03:20
Location: Kearney, Nebraska
Contact:

Oh, well I thought I installed it. At least I did the installation process 3 times. Any suggestions on what to do now?
User avatar
treellama
Vidmaster
Posts: 6107
Joined: Jun 2nd '06, 02:05
Location: Pittsburgh
Contact:

I don't know. You can try an older version, or try getting support from the Mono guys.

Do you have a /Library/Frameworks/Mono.framework at all?
User avatar
BoBsBrother
Cyborg
Posts: 110
Joined: Aug 12th '10, 03:20
Location: Kearney, Nebraska
Contact:

Yes, I do have the library folder, I just don't know what to do with it.
User avatar
treellama
Vidmaster
Posts: 6107
Joined: Jun 2nd '06, 02:05
Location: Pittsburgh
Contact:

So what is in /Library/Frameworks/Mono.framework/Versions then?
User avatar
BoBsBrother
Cyborg
Posts: 110
Joined: Aug 12th '10, 03:20
Location: Kearney, Nebraska
Contact:

After versions, it's 2.6.7, then it goes into a bunch of different folders. Like bin, include,lib,share. There is also a update info csdk file.
User avatar
treellama
Vidmaster
Posts: 6107
Joined: Jun 2nd '06, 02:05
Location: Pittsburgh
Contact:

What is the name of the file you downloaded? If it contains CSDK then that is the wrong thing. You want the runtime framework, here is a direct link:
http://ftp.novell.com/pub/mono/archive/2.6...l.universal.dmg

Please also note that you need X11 installed, as the download page explains, for the install to succeed.
Last edited by treellama on Aug 12th '10, 17:43, edited 1 time in total.
User avatar
BoBsBrother
Cyborg
Posts: 110
Joined: Aug 12th '10, 03:20
Location: Kearney, Nebraska
Contact:

Yeah, the one I downloaded was the CSDK thing. Ill try your link and see what happens. By the way, is X11 an operating system or something??
User avatar
BoBsBrother
Cyborg
Posts: 110
Joined: Aug 12th '10, 03:20
Location: Kearney, Nebraska
Contact:

Apparently I had X11 installed because the installation of the mono framework worked correctly. Now Weland is working just fine!!! Thanks so much!!!!!
Post Reply